package com.caimei365.tools.controller;

import com.caimei365.tools.model.ResponseJson;
import com.caimei365.tools.service.LogisticsService;
import com.kuaidi100.sdk.response.QueryTrackResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/18
 */
@Api(tags="物流API")
@RestController
@RequiredArgsConstructor
@RequestMapping("/tools")
public class LogisticsApi {

    private final LogisticsService logisticsService;

    /**
     * 查询物流
     */
    @ApiOperation("获取物流信息")
    @ApiImplicitParams({
        @ApiImplicitParam(required = true, name = "number", value = "快递单号"),
        @ApiImplicitParam(required = false, name = "companyCode", value = "快递公司的编码"),
        @ApiImplicitParam(required = false, name = "mobile", value = "收/寄件人的电话号码(顺丰必填)"),
    })
    @GetMapping("/query/logistics")
    public ResponseJson<QueryTrackResp> getLogisticsByNumber(String number, String companyCode, String mobile) {
        return logisticsService.getLogisticsByNumber(number, companyCode, mobile);
    }

}
