package com.caimei365.tools.mapper;

import com.caimei365.tools.model.bo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/12/24
 */
@Mapper
public interface HeheMapper {

    /**
     * 查询半小时内生效的活动券及专享券
     */
    List<HeheCouponBo> getNewHeheCoupons();

    /**
     * 查询呵呵商城所有用户的手机号
     */
    List<String> getHeheUserMobiles();

    /**
     * 查询呵呵用户手机号
     */
    String findHeheMobile(String userId);

    /**
     * 查询呵呵商城即将超时的拼团中的拼团
     * @return
     */
    List<HeheCollageBo> findEndSoonCollage();

    /**
     * 查找拼团未支付订单
     * @param collageId
     * @return
     */
    List<Integer> findNoPayCollageOrderIds(Integer collageId);

    /**
     * 取消订单
     * @param orderId
     * @param reason
     */
    void cancelOrder(@Param("orderId") Integer orderId, @Param("reason") String reason);

    /**
     * 查询所有呵呵商城用户
     * @return
     */
    List<HeheUserBo> getAllHeheUser();

    /**
     * 查询已领取的优惠券
     * @param userId
     * @return
     */
    List<CouponBo> findReceiveCouponList(Integer userId,Integer status);

    /**
     * 查询可领取优惠券
     * @param userId
     * @param registerTime
     * @return
     */
    List<CouponBo> findCouponList(Integer userId, String registerTime);

    /**
     * 自动完成拼团
     * @param collageId
     */
    void completeCollage(Integer collageId);

    /**
     * 查询呵呵商城已超时的拼主未支付的拼团
     * @return
     */
    List<HeheCollageBo> findEndCollage();

    /**
     * 超时未支付拼团关闭拼团
     * @param collageId
     */
    void closeCollage(Integer collageId);

    /**
     * 根据拼团id查询已支付的拼团成员手机号
     */
    List<String> getMobilesByCollageId(Integer collageId);
}
