package com.caimei365.tools.model.bo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/8/12
 */
@Data
public class CouponBo implements Serializable {
    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 优惠券分享id
     */
    private Integer couponShareId;

    /**
     * 优惠券名称
     */
    private String couponName;

    /**
     * 优惠券金额(面值)
     */
    private BigDecimal couponAmount;

    /**
     * 优惠满减条件金额
     */
    private BigDecimal touchPrice;

    /**
     * 无门槛标记 0否 1是
     */
    private Integer noThresholdFlag;

    /**
     * 永久可领取标识：true是，false否
     */
    private Boolean permanentFlag;

    /**
     * 劵类型 1活动券 2专享券 3新人券 4好友分享券 5好友消费券
     */
    private Integer couponType;

    /**
     * 优惠商品：1全商城商品 2指定商品
     */
    private Integer productType;

    /**
     * 领取截止时间
     */
    private Date receivePeriod;

    /**
     * 使用截止时间
     */
    private Date usePeriod;

    /**
     * 使用状态: 0未领取 1未使用 2已使用 3已失效
     */
    private Integer useStatus;

    /**
     * 是否达到优惠条件：1达到，2未达到
     */
    private Integer touchFlag;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 部分商品优惠券关联的商品id
     */
    private String productIds;
}
