package com.caimei365.tools.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/18
 */
@ApiModel("发送短信接收参数")
@Data
public class SmsDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 短信类型
     */
    @ApiModelProperty("短信类型：1通知短信(默认)，2验证码短信，3营销短信")
    private Integer type;
    /**
     * 手机号码
     */
    @NotNull
    @ApiModelProperty("手机号码")
    private String mobile;
    /**
     * 短信内容
     */
    @NotNull
    @ApiModelProperty("短信内容")
    private String content;

    @Override
    public String toString() {
        return "SmsDto{" +
                "type=" + type +
                ", mobile='" + mobile + '\'' +
                ", content='" + content + '\'' +
                '}';
    }
}
