package com.caimei365.tools.model.po;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Administrator
 */ 
//可以省略，如果省略，则默认使用类名小写映射集合
@Document(collection="IpCollection")
@Data
@ToString
public class IpSavePo implements Serializable {
    /**
     * 主键标识，该属性的值会自动对应mongodb的主键字段"_id"，如果该属性名就叫“id”,则该注解可以省略，否则必须写
     */
    @Id
    private String id;
    private String userId;
    /**
     * 该属性对应mongodb的字段的名字，如果一致，则无需该注解
     */
    @Field("ip")
    private String ip;
    /**
     * 用户访问接口参数
     */
    private String params;
    /**
     * 用户访问路径
     */
    private String requestUrl;
    /**
     * 接口显示名称（展示名）
     */
    private String portName;
    /**
     * 时间
     */
    private Long saveTime;
    /**
     * 转码后的查询条件
     */
    private String keyWord;
}
