package com.caimei365.tools.service;

import com.caimei365.tools.model.dto.MessageDto;
import org.apache.rocketmq.client.producer.SendResult;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/17
 */
public interface RocketMqService {
    /**
     * 发送消息
     *
     * @param messageDto {
     *                    topic    消息主题
     *                    content  消息内容
     *                    tag      消息标签(可选)
     *                    sort     有序消息(可选)：1是，0否
     *                    async    异步消息(可选)：1是，0否
     *                    oneway   单向消息(可选)：1是，0否
     *                    delay    延时消息等级(可选)：1-18，0否，对应时间依次：1s 5s 10s 30s 1m 2m 3m 4m 5m 6m 7m 8m 9m 10m 20m 30m 1h 2h
     *                  }
     * @return SendResult
     */
    SendResult sendCommonMessage(MessageDto messageDto);
}
