package com.caimei365.tools.service;

import com.caimei365.tools.model.ResponseJson;
import org.springframework.http.HttpHeaders;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/25
 */
public interface UploadService {
    /**
     * 上传文件至oss服务器
     */
    ResponseJson<Map<String, Object>> uploadFileToOss(MultipartFile file, HttpHeaders headers);

    /**
     * 删除oss服务器的文件
     */
    ResponseJson<Void> deleteFileFromOss(String ossName);

    /**
     * FastDFS图片上传
     */
    ResponseJson<String> multiImageUpload(MultipartFile[] file, HttpHeaders headers);

    /**
     * 图片上传（ckeditor5富文本编辑器上传图片用，www,manager）
     */
    Map<String, Object> ckeditorImageUpload(MultipartFile upload, HttpHeaders headers);
}
