package com.caimei365.tools.utils;

import com.github.tobato.fastdfs.domain.fdfs.StorePath;
import com.github.tobato.fastdfs.domain.proto.storage.DownloadByteArray;
import com.github.tobato.fastdfs.service.FastFileStorageClient;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.FilenameUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.*;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/25
 */
@Component
public class FastDfsUtil {
    @Resource
    private FastFileStorageClient storageClient;


    // 文件上传
    public String uploadFile(String path) throws FileNotFoundException {
        File file = new File(path);
        InputStream input = new FileInputStream(file);
        long size = FileUtils.sizeOf(file);
        String name = file.getName();
        String fileName = name.substring(name.lastIndexOf("/") + 1);
        StorePath storePath = storageClient.uploadFile(input, size, FilenameUtils.getExtension(fileName), null);
        return storePath.getFullPath();
    }

    // 文件下载
    public boolean downloadFile(String path, String downloadFilePath) throws IOException {
        File file = new File(downloadFilePath);
        FileOutputStream outputStream = null;
        // fastdfs 文件读取
        String filepath = path.substring(path.lastIndexOf("group1/") + 7);
        DownloadByteArray callback = new DownloadByteArray();
        byte[] content = storageClient.downloadFile("group1", filepath, callback);
        // 数据写入指定文件夹中
        outputStream = new FileOutputStream(file);
        outputStream.write(content);
        return true;
    }
}
